whatis(1)

NOME
whatis - mostra le descrizioni delle pagine di manuale

SINTASSI
whatis [-dhV] [-r|-w ] [-m sistema[,...]] [-M percorso] nome ...

DESCRIZIONE
Ogni pagina di manuale ha disponibile al suo interno una breve descrizione. whatis ricerca i nomi e le descrizioni delle pagine di manuale che corrispondono a nome. nome può contenere wildcard (caratteri jolly) (-w) o essere un'espressione regolare (-r). Usando queste opzioni, potrebbe essere necessario racchiudere tra virgolette (') la parola_chiave o far precedere da backslash (\) i caratteri speciali per evitare che la shell provi a interpretarla(i). Durante la ricerca sono usate le basi di dati index. Per generare dalla base di dati index la corrispondente base di dati vecchio stile whatis in formato testo, si può usare il comando: whatis -M percorso_man -w '*' | sort > percorso_man/whatis dove percorso_man è una gerarchia di pagine di manuale come ad esempio /usr/man.

OPZIONI

-d, --debug
    Mostra informazioni utili al debug.

-r, --regex
    Interpreta ogni nome come un'espressione regolare. Verrà trovata una corrispondenza se nome corrisponde ad una parte qualsiasi del nome della pagina. Questa opzione fa sì che whatis sia un po' più lento a causa della natura della ricerca nella base di dati.

-w, --wildcard
    Interpreta ogni nome come un modello contenente wildcard nello stile della shell. Affinché ci sia una corrispondenza, un nome espanso deve corrispondere al nome completo di una pagina di manuale. Questa opzione fa sì che whatis sia un po' più lento a causa della natura della ricerca nella base di dati.

-m sistema [,...], --systems=sistema [,...]
    Se questo sistema ha accesso ai nomi delle pagine di manuale di altri sistemi operativi, può essere fatto un accesso a quest'ultimi usando questa opzione. Per effettuare una ricerca nei nomi delle pagine di manuale di NewOS, usare l'opzione -m NewOS. Il sistema può essere una combinazione qualsiasi di nomi di sistemi operativi separati da virgole. Per includere la ricerca nei nomi delle pagine di manuale del sistema operativo nativo, si includa il nome di sistema man nella stringa argomento. Usando questa opzione verrà ignorata la variabile d'ambiente $SYSTEM.

-M percorso, --manpath=percorso
    Specifica un insieme alternativo di gerarchie di pagine di manuale, separate da `:', nelle quali fare la ricerca. Di default, whatis usa la variabile d'ambiente $MANPATH finché questa non è vuota o non impostata, nel qual caso determinerà un percorso man appropriato basandosi sulla variabile d'ambiente $PATH dell'utente. Usando questa opzione verrà ignorato il contenuto della variabile d'ambiente $MANPATH.

-h, --help
    Mostra un messaggio d'aiuto ed esce.

-V, --version
    Mostra informazioni sulla versione e sull'autore.

STATI D?USCITA

0   L'esecuzione del programma ha avuto successo.

1   Errore d'uso, di sintassi o nel file di configurazione.

2   Errore operativo.

16  Non è stata trovata alcuna pagina di manuale che corrisponde al criterio specificato.

VARIABILI D'AMBIENTE

SYSTEM
    Se $SYSTEM è impostata, avrà lo stesso effetto che fosse specificata come argomento dell'opzione -m.

MANPATH
    Se $MANPATH è impostata, il suo valore è interpretato come una lista di percorsi, separati da `:', di gerarchie di pagine di manuale da usare nella ricerca.

FILE

/usr/share/man/index.(bt|db|dir|pag)
    Una cache della base di dati globale index tradizionale.

/var/cache/man/index.(bt|db|dir|pag)
    Una cache della base di dati globale index alternativa e conforme con FHS.

/usr/share/man/.../whatis
    Una tradizionale base di dati whatis.

VEDERE ANCHE
apropos(1), man(1).

AUTORE
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Traduzione di Giovanni Bortolozzo (borto@pluto.linux.it)